Mail::SpamAssassin::PerMsgLearner(3)

NAME
Mail::SpamAssassin::PerMsgLearner - per-message status (spam or not-spam)

SYNOPSIS
  my $spamtest = new Mail::SpamAssassin ({
    'rules_filename'      => '/etc/spamassassin.rules',
    'userprefs_filename'  => $ENV{HOME}.'/.spamassassin/user_prefs'
  });
  my $mail = $spamtest->parse();

  my $status = $spamtest->learn($mail,$id,$isspam,$forget);
  my $didlearn = $status->did_learn();
  $status->finish();

DESCRIPTION
The Mail::SpamAssassin "learn()" method returns an object of this class. This object encapsulates all the per-message state for the learning process.

METHODS

$didlearn = $status->did_learn()
    Returns 1 if the message was learned from or forgotten successfully.

$status->finish()
    Finish with the object.

SEE ALSO
"Mail::SpamAssassin" "spamassassin"